QUORUM_ERROR_CORRECT_READS(1)

NAME
quorum_error_correct_reads - error correct reads from a fastq file based on the k-mer frequencies

SYNOPSIS
error_correct_reads [options] db:path sequence:path+

DESCRIPTION
Error correct reads from a fastq file based on the k-mer frequencies.

OPTIONS
default value in (), *required:

-t, --thread=uint32
    Number of threads (1)

-m, --min-count=uint32
    Minimum count for a k-mer to be considered "good" (1)

-s, --skip=uint32
    Number of bases to skip for start k-mer (1)

-g, --good=uint32
    Number of good k-mer in a row for anchor (2)

-a, --anchor-count=uint32
    Minimum count for an anchor k-mer (3)

-w, --window=uint32
    Size of window (10)

-e, --error=uint32
    Maximum number of error in a window (3)

-o, --output=prefix
    Output file prefix (error_corrected)

--contaminant=path
    Jellyfish database of contaminant k-mers

--trim-contaminant
    Trim reads containing contaminated k-mers instead of discarding (false)

--homo-trim=int32
    Trim homo-polymer run at the 3' end

--gzip
    Gzip output file (false)

-M, --no-mmap
    Do not memory map the input mer database (false)

--apriori-error-rate=double
    Probability of a base being an error (0.01)

--poisson-threshold=double
    Error probability threshold in Poisson test (1.0e-06)

-p, --cutoff=uint32
    Poisson cutoff when there are multiple choices

-q, --qual-cutoff-value=uint32
    Any base above with quality equal or greater is untouched when there are multiple choices

-Q, --qual-cutoff-char=string
    Any base above with quality equal or greater is untouched when there are multiple choices

-d, --no-discard
    Do not discard reads, output a single N (false)

-v, --verbose
    Be verbose (false)

-U, --usage
    Usage

-h, --help
    This message

-V, --version
    Version

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.